1
1

Ticket #2990: Prepare for release mc-4.8.9

Change maint/doctest utility to run under maint directory

Signed-off-by: Slava Zanko <slavazanko@gmail.com>
Этот коммит содержится в:
Slava Zanko 2013-04-05 01:47:06 +03:00
родитель 1df77c409e
Коммит b0876fb044
4 изменённых файлов: 78 добавлений и 39 удалений

Просмотреть файл

@ -351,9 +351,9 @@ a:
.IP .IP
.br .br
1) Opción de ejecución en línea de órdenes 1) Opción de ejecución en línea de órdenes
.B \-K \<mapa\> .B \-K <mapa>
o o
.B \-\-keymap=\<mapa\> .B \-\-keymap=<mapa>
.br .br
2) Variable de entorno 2) Variable de entorno
.B MC_KEYMAP .B MC_KEYMAP
@ -3457,9 +3457,9 @@ El archivo se busca, en orden, de varias maneras:
.IP .IP
.br .br
1) La opción 1) La opción
.B \-S \<skin\> .B \-S <skin>
o o
.B \-\-skin=\<skin\> .B \-\-skin=<skin>
al ejecutar mc. al ejecutar mc.
.br .br
2) La variable de entorno 2) La variable de entorno

Просмотреть файл

@ -338,9 +338,9 @@ User\-defined keymap\-file is searched on the following algorithm (to the first
.IP .IP
.br .br
1) command line option 1) command line option
.B \-K \<keymap\> .B \-K <keymap>
or or
.B \-\-keymap=\<keymap\> .B \-\-keymap=<keymap>
.br .br
2) Environment variable 2) Environment variable
.B MC_KEYMAP .B MC_KEYMAP
@ -2770,13 +2770,13 @@ Toggle show of line numbers.
.B f .B f
Maximize left panel. Maximize left panel.
.PP .PP
.B \= .B =
Make panels equal in width. Make panels equal in width.
.PP .PP
.B \> .B >
Reduce the size of the right panel. Reduce the size of the right panel.
.PP .PP
.B \< .B <
Reduce the size of the left panel. Reduce the size of the left panel.
.PP .PP
.B c .B c
@ -3612,9 +3612,9 @@ A skin\-file is searched on the following algorithm (to the first one found):
.IP .IP
.br .br
1) command line option 1) command line option
.B \-S \<skin\> .B \-S <skin>
or or
.B \-\-skin=\<skin\> .B \-\-skin=<skin>
.br .br
2) Environment variable 2) Environment variable
.B MC_SKIN .B MC_SKIN

Просмотреть файл

@ -331,9 +331,9 @@ S\-<символ> означает, что нужно держать в нажа
.IP .IP
.br .br
1) параметр командной строки 1) параметр командной строки
.B \-K \<файл\> .B \-K <файл>
или или
.B \-\-keymap=\<файл\> .B \-\-keymap=<файл>
.br .br
2) переменная окружения 2) переменная окружения
.B MC_KEYMAP .B MC_KEYMAP
@ -3033,13 +3033,13 @@ mcdiff \- это встроенное средство для сравнения
.B f .B f
Увеличить левую панель до максимума. Увеличить левую панель до максимума.
.PP .PP
.B \= .B =
Сделать панели равными по ширине. Сделать панели равными по ширине.
.PP .PP
.B \> .B >
Увеличить левую панель. Увеличить левую панель.
.PP .PP
.B \< .B <
Увеличить правую панель. Увеличить правую панель.
.PP .PP
.B c .B c
@ -4005,9 +4005,9 @@ menuhotsel=yellow;black;bold+underline
.IP .IP
.br .br
1) параметр командной строки 1) параметр командной строки
.B \-S \<скин\> .B \-S <скин>
или или
.B \-\-skin=\<скин\> .B \-\-skin=<скин>
.br .br
2) переменная окружения 2) переменная окружения
.B MC_SKIN .B MC_SKIN

Просмотреть файл

@ -1,37 +1,76 @@
#!/bin/sh #!/bin/bash
# Run this script in the top-level source directory to check the # Midnight Commander - check the documentation for compatibility with groff and nroff.
# documentation for compatibility with groff and nroff. #
# Copyright (C) 2002, 2003, 2011, 2013
# The Free Software Foundation, Inc.
#
# Written by:
# Pavel Roskin <proski@gnu.org> 2002, 2003
# Ilia Maslakov <il.smind@gmail.com>, 2011
# Slava Zanko <slavazanko@gmail.com>, 2013
#
# This file is part of the Midnight Commander.
#
# The Midnight Commander is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation, either version 3 of the License,
# or (at your option) any later version.
#
# The Midnight Commander is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
set -e #set -e
MC_SOURCE_ROOT_DIR=${MC_SOURCE_ROOT_DIR:-$(dirname $(pwd))}
#*** include section (source functions, for example) *******************
#*** file scope functions **********************************************
one_test() { one_test() {
"$@" >/dev/null 2>doctest.err "$@" >/dev/null 2>doctest.err
if test -s doctest.err; then if test -s doctest.err; then
echo "ERROR messages follow:" 2>&1 echo "ERROR messages follow:" 2>&1
cat doctest.err 2>&1 cat doctest.err 2>&1
echo "ERROR while running following command:" 2>&1 echo "ERROR while running following command:" 2>&1
echo "$@" 2>&1 echo "$@" 2>&1
echo "ERROR messages are preserved in doctest.err" echo "ERROR messages are preserved in doctest.err"
exit 1 exit 1
fi fi
} }
test -r doc/man/mc.1.in || { echo "ERROR: cannot read doc/mc.1.in" 2>&1; exit 1; } #*** main code *********************************************************
[ -r "${MC_SOURCE_ROOT_DIR}/doc/man/mc.1.in" ] || {
echo "ERROR: cannot read doc/mc.1.in" 2>&1
exit 1
}
# Test the documentation for possible errors. # Test the documentation for possible errors.
for i in `find doc -name '*.[1-9].in'`; do for i in $(find "${MC_SOURCE_ROOT_DIR}/doc" -name '*.[1-9].in'); do
echo "test $i" echo "test (groff): $i"
cat $i |preconv -e UTF8| groff -wall -mandoc -Tutf8 | grep "warning:"
preconv -e UTF8 "${i}" | \
groff -wall -mandoc -Tutf8 | \
grep "warning:"
done done
for i in `find doc -name '*.[1-9].in'`; do for i in $(find "${MC_SOURCE_ROOT_DIR}/doc" -name '*.[1-9].in'); do
echo "test $i" echo "test (nroff): $i"
cat $i |preconv -e UTF8| nroff -Tutf8 -mandoc | grep "warning:"
preconv -e UTF8 "${i}" | \
nroff -Tutf8 -mandoc | \
grep "warning:"
done done
# Check the English manuals to be in ASCII. # Check the English manuals to be in ASCII.
one_test find doc -maxdepth 1 -name '*.[1-9].in' -exec groff -wall -Tascii {} \; one_test find "${MC_SOURCE_ROOT_DIR}/doc" -maxdepth 1 -name '*.[1-9].in' -exec groff -wall -Tascii {} \;
rm -rf doctest.err rm -rf doctest.err
exit 0 exit 0